## com.google.javascript.jscomp
Class Compiler.IntermediateState

    java.lang.Object
      com.google.javascript.jscomp.Compiler.IntermediateState

All Implemented Interfaces:
  Serializable

Enclosing class:
  Compiler

    public static class Compiler.IntermediateState

extends Object
implements Serializable

Stores the internal compiler state just before optimization is performed. This can be saved and restored in order to efficiently optimize multiple different output targets without having to perform checking multiple times. NOTE: This does not include all parts of the compiler's internal state. In particular, SourceFiles and CompilerOptions are not recorded. In order to recreate a Compiler instance from scratch, you would need to call `init` with the same arguments as in the initial creation before restoring intermediate state.

See Also:
  Serialized Form

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`